Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.build.interactive.completors
[Groovy] Class SimpleOrFileNameCompletor

    java.lang.Object
      grails.build.interactive.completors.SimpleOrFileNameCompletor

All Implemented Interfaces:
  jline.console.completer.Completer

    class SimpleOrFileNameCompletor
    extends java.lang.Object

JLine Completor that mixes a fixed set of options with file path matches. Fixed options that match will appear first, followed by file path matches.

Authors:
  Peter Ledbrook

Since:
  2.0

Constructor Summary
`SimpleOrFileNameCompletor(java.util.List fixedOptions)`
`SimpleOrFileNameCompletor(java.lang.String[] fixedOptions)`

Method Summary
`int` | `complete(java.lang.String buffer, int cursor, java.util.List candidates)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleOrFileNameCompletor

    SimpleOrFileNameCompletor(java.util.List fixedOptions)

### SimpleOrFileNameCompletor

    SimpleOrFileNameCompletor(java.lang.String[] fixedOptions)

Method Detail

### complete

    int complete(java.lang.String buffer, int cursor, java.util.List candidates)

Groovy Documentation